summaryrefslogtreecommitdiffstats
path: root/packaging/bundle-ebpf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/bundle-ebpf.sh')
-rwxr-xr-xpackaging/bundle-ebpf.sh18
1 files changed, 10 insertions, 8 deletions
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
index c51162987..3204345b0 100755
--- a/packaging/bundle-ebpf.sh
+++ b/packaging/bundle-ebpf.sh
@@ -6,12 +6,14 @@ PLUGINDIR="${2}"
EBPF_VERSION="$(cat "${SRCDIR}/packaging/ebpf.version")"
EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
-mkdir -p "${SRCDIR}/tmp/ebpf"
-curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
-grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
-tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
-if [ ! -d "${PLUGINDIR}/ebpf.d" ];then
- mkdir "${PLUGINDIR}/ebpf.d"
+if [ -x "${PLUGINDIR}/ebpf.plugin" ] ; then
+ mkdir -p "${SRCDIR}/tmp/ebpf"
+ curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
+ grep "${EBPF_TARBALL}" "${SRCDIR}/packaging/ebpf.checksums" | sha256sum -c - || exit 1
+ tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
+ if [ ! -d "${PLUGINDIR}/ebpf.d" ];then
+ mkdir "${PLUGINDIR}/ebpf.d"
+ fi
+ # shellcheck disable=SC2046
+ cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}/ebpf.d"
fi
-# shellcheck disable=SC2046
-cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}/ebpf.d"